Subject: Re: ping6

From: Krzysztof Olędzki <[email-masked]>
Date: Tue, 19 Jul 2011 15:53:09 +0200

On 2011-07-19 04:06, Jérôme Poulin wrote:
> On Mon, Jul 18, 2011 at 4:23 PM,<[email-masked]>  wrote:
>>
>> I've found what I think is a bug in the ping6 tool. Without the -n option,
>> it puts the hostname inside the parenthesis instead of the resolved ip
>
> I guess this is on purpose as IPv6 has very long IP and hostnames
> should be used when possible, also, it does not show the hostname you
> typed but the resolved RDNS of the IP as in:
>
> jerome@MobileCPU ~ $ ping6 www.google.ca
> PING www.google.ca(iad04s01-in-x63.1e100.net) 56 data bytes
> 64 bytes from iad04s01-in-x63.1e100.net: icmp_seq=1 ttl=55 time=57.7 ms

Hello,

Even if so it makes no sense to me. You end up without knowing which 
host you are pinging and a typical terminal is wide enough to display 
even longest IPv6 addresses.

Best regards,

			Krzysztof Olędzki